﻿using System;
using System.Threading.Tasks;
using System.Web.Http;

namespace PollyWebApi2DI.Controllers.Remote
{
    public class ItemsCalculatorController : ApiController
    {
        static int _count = 1;  

        public async Task<IHttpActionResult> Get()
        {
            await Task.Delay(199); // Simulate some heavy processing

            if (_count >= 3) // only one of out three requests will succeed
            {
                int[] numbers = new[] {1, 2, 3, 4, 5};
                _count = 1;
                return Ok(numbers);
            }
            _count++;

            return InternalServerError(new Exception("Some error"));
        }
    }
}
